Skip to main content
Resource Center/Resource Pool/VM Instance Operations

DetachL3NetworkFromVm

DetachL3NetworkFromVm

DELETE/zstack/v1/vm-instances/nics/{vmNicUuid}

Operation ID

DetachL3NetworkFromVm

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • vmNicUuid
    StringRequired

    The VM NIC UUID. The network where the NIC is located will be detached from the VM instance.

Body Fields

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}